Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]


Groups > linux.kernel > #1728017 > unrolled thread

[PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert

Started bynaresh.kamboju@linaro.org
First post2017-09-07 10:20 +0200
Last post2017-09-07 11:20 +0200
Articles 4 — 2 participants

Back to article view | Back to linux.kernel


Contents

  [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert naresh.kamboju@linaro.org - 2017-09-07 10:20 +0200
    [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device naresh.kamboju@linaro.org - 2017-09-07 10:20 +0200
      Re: [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on  target device Daniel Borkmann <daniel@iogearbox.net> - 2017-09-07 11:30 +0200
    Re: [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module  is present in the path before insert Daniel Borkmann <daniel@iogearbox.net> - 2017-09-07 11:20 +0200

#1728017 — [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert

Fromnaresh.kamboju@linaro.org
Date2017-09-07 10:20 +0200
Subject[PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert
Message-ID<un0cy-5P7-3@gated-at.bofh.it>
From: Naresh Kamboju <naresh.kamboju@linaro.org>

The test script works when kernel source and build module test_bpf.ko
present on the machine. This patch will check if module is present in
the path.

Signed-off-by: Naresh Kamboju <naresh.kamboju@linaro.org>
---
 tools/testing/selftests/bpf/test_kmod.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
index 6d58cca8e235..a53eb1cb54ef 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -9,9 +9,11 @@ test_run()
 
 	echo "[ JIT enabled:$1 hardened:$2 ]"
 	dmesg -C
-	insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
-	if [ $? -ne 0 ]; then
-		rc=1
+	if [ -f $SRC_TREE/lib/test_bpf.ko ]; then
+		insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
+		if [ $? -ne 0 ]; then
+			rc=1
+		fi
 	fi
 	rmmod  test_bpf 2> /dev/null
 	dmesg | grep FAIL
-- 
2.13.0

[toc] | [next] | [standalone]


#1728018 — [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device

Fromnaresh.kamboju@linaro.org
Date2017-09-07 10:20 +0200
Subject[PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device
Message-ID<un0cy-5P7-5@gated-at.bofh.it>
In reply to#1728017
From: Naresh Kamboju <naresh.kamboju@linaro.org>

on ARM and ARM64 devices kernel source tree is not available so
insmod "$SRC_TREE/lib/test_bpf.ko" is not working.

on these target devices the test_bpf.ko is installed under
/lib/modules/`uname -r`/kernel/lib/
so use modprobe dry run to check for missing test_bpf.ko module and
insert for testing.

Signed-off-by: Naresh Kamboju <naresh.kamboju@linaro.org>
---
 tools/testing/selftests/bpf/test_kmod.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
index a53eb1cb54ef..eab9a970d742 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -14,6 +14,16 @@ test_run()
 		if [ $? -ne 0 ]; then
 			rc=1
 		fi
+	 else
+		# Use modprobe dry run to check for missing test_bpf module
+		if ! /sbin/modprobe -q -n test_bpf; then
+			echo "test_bpf: [SKIP]"
+		elif /sbin/modprobe -q test_bpf; then
+			echo "test_bpf: ok"
+		else
+			echo "test_bpf: [FAIL]"
+			rc=1
+		fi
 	fi
 	rmmod  test_bpf 2> /dev/null
 	dmesg | grep FAIL
-- 
2.13.0

[toc] | [prev] | [next] | [standalone]


#1728075 — Re: [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device

FromDaniel Borkmann <daniel@iogearbox.net>
Date2017-09-07 11:30 +0200
SubjectRe: [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device
Message-ID<un1ii-6qW-3@gated-at.bofh.it>
In reply to#1728018
On 09/07/2017 10:19 AM, naresh.kamboju@linaro.org wrote:
> From: Naresh Kamboju <naresh.kamboju@linaro.org>
>
> on ARM and ARM64 devices kernel source tree is not available so
> insmod "$SRC_TREE/lib/test_bpf.ko" is not working.
>
> on these target devices the test_bpf.ko is installed under
> /lib/modules/`uname -r`/kernel/lib/
> so use modprobe dry run to check for missing test_bpf.ko module and
> insert for testing.
>
> Signed-off-by: Naresh Kamboju <naresh.kamboju@linaro.org>

Acked-by: Daniel Borkmann <daniel@iogearbox.net>

One really small nit that could probably be fixed up along the
way when applying:

> ---
>   tools/testing/selftests/bpf/test_kmod.sh | 10 ++++++++++
>   1 file changed, 10 insertions(+)
>
> diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
> index a53eb1cb54ef..eab9a970d742 100755
> --- a/tools/testing/selftests/bpf/test_kmod.sh
> +++ b/tools/testing/selftests/bpf/test_kmod.sh
> @@ -14,6 +14,16 @@ test_run()
>   		if [ $? -ne 0 ]; then
>   			rc=1
>   		fi
> +	 else

Looks like a whitespace slipped in right before the "else",
so should be removed to only habe the tab indent.

> +		# Use modprobe dry run to check for missing test_bpf module
> +		if ! /sbin/modprobe -q -n test_bpf; then
> +			echo "test_bpf: [SKIP]"
> +		elif /sbin/modprobe -q test_bpf; then
> +			echo "test_bpf: ok"
> +		else
> +			echo "test_bpf: [FAIL]"
> +			rc=1
> +		fi
>   	fi
>   	rmmod  test_bpf 2> /dev/null
>   	dmesg | grep FAIL
>

[toc] | [prev] | [next] | [standalone]


#1728073 — Re: [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert

FromDaniel Borkmann <daniel@iogearbox.net>
Date2017-09-07 11:20 +0200
SubjectRe: [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert
Message-ID<un18C-6ny-11@gated-at.bofh.it>
In reply to#1728017
On 09/07/2017 10:19 AM, naresh.kamboju@linaro.org wrote:
> From: Naresh Kamboju <naresh.kamboju@linaro.org>
>
> The test script works when kernel source and build module test_bpf.ko
> present on the machine. This patch will check if module is present in
> the path.
>
> Signed-off-by: Naresh Kamboju <naresh.kamboju@linaro.org>

Looks good, what changed between v1 and v2? Didn't get the cover
letter in case there was one. ;)

Which tree are you targeting? There are usually a lot of changes
in BPF selftests going the usual route via net and net-next tree
as we often require to put test cases along the BPF patches. Given
the merge window now and given one can regard it as a fix, it's
net tree. I'm also ok if Shuah wants to pick it up this window as
test_kmod.sh hasn't been changed in quite a while, so no merge
conflicts expected.

Anyway, for the patch:

Acked-by: Daniel Borkmann <daniel@iogearbox.net>

Thanks!

> ---
>   tools/testing/selftests/bpf/test_kmod.sh | 8 +++++---
>   1 file changed, 5 insertions(+), 3 deletions(-)
>
> diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
> index 6d58cca8e235..a53eb1cb54ef 100755
> --- a/tools/testing/selftests/bpf/test_kmod.sh
> +++ b/tools/testing/selftests/bpf/test_kmod.sh
> @@ -9,9 +9,11 @@ test_run()
>
>   	echo "[ JIT enabled:$1 hardened:$2 ]"
>   	dmesg -C
> -	insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
> -	if [ $? -ne 0 ]; then
> -		rc=1
> +	if [ -f $SRC_TREE/lib/test_bpf.ko ]; then
> +		insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
> +		if [ $? -ne 0 ]; then
> +			rc=1
> +		fi
>   	fi
>   	rmmod  test_bpf 2> /dev/null
>   	dmesg | grep FAIL
>

[toc] | [prev] | [standalone]


Back to top | Article view | linux.kernel


csiph-web